Skip to content

updateChangeNotice

WRITE

Update change notice.

POST /api/v1/items/updateChangeNotice
curl -X POST '<your-host>/api/v1/items/updateChangeNotice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Engineering""Manufacturing""Documentation"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "changeOrderId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "Engineering",
        "Manufacturing",
        "Documentation"
      ]
    },
    "priority": {
      "type": [
        "string",
        "null"
      ]
    },
    "changeOrderTypeId": {
      "type": [
        "string",
        "null"
      ]
    },
    "nonConformanceId": {
      "type": [
        "string",
        "null"
      ]
    },
    "openDate": {
      "type": "string"
    },
    "reasonForChange": {},
    "description": {},
    "dueDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "assignee": {
      "type": [
        "string",
        "null"
      ]
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}